function[sp]=tscalar_prod(t1,t2) 
% Function should be used only with real valed tensors otherwise take the
% complex conjugate of t2 and then do the the operations below.
%
% Please report bugs/fixes to maov@mrl.nyu.edu
% Copyright 2005-2025 M.A.O.Vasilescu
% Please do NOT redistribute without permission; direct requests to maov@mrl.nyu.edu

% Created 2001 and Revised Feb 28, 2005 by M.A.O.Vasilescu
% Paper ECCV'02, vol.2350, pg.447-460./Paper ICPR'02, vol.3 pg.456-460.
% Paper CVPR'03, vol.2, pg.93-99.

p=t1.*t2;
l=length(size(p));

sp=p;
for il=1:l
 sp=sum(sp,il);
end
